net.sf.okapi.common.annotation

## Class XLIFFNote

- java.lang.Object
- - net.sf.okapi.common.annotation.XLIFFNote

-     public class XLIFFNote
      extends java.lang.Object

  Annotation representing the XLIFF 1.2 note element. The set of note elements should be contained within the XLIFFNoteAnnotation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XLIFFNote()`
    `XLIFFNote(java.lang.String note)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAnnotates()`
    `java.lang.String` | `getFrom()`
    `java.lang.String` | `getNoteText()`
    `java.lang.String` | `getPriority()`
    `java.lang.String` | `getXmLang()`
    `void` | `setAnnotates(java.lang.String annotates)`
    `void` | `setFrom(java.lang.String from)`
    `void` | `setNoteText(java.lang.String note)`
    `void` | `setPriority(java.lang.String priority)`
    `void` | `setXmlLang(java.lang.String xmlLang)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XLIFFNote

          public XLIFFNote()

    - #### XLIFFNote

          public XLIFFNote(java.lang.String note)

  - ### Method Detail

    - #### getNoteText

          public java.lang.String getNoteText()

    - #### setNoteText

          public void setNoteText(java.lang.String note)

    - #### getXmLang

          public java.lang.String getXmLang()

    - #### setXmlLang

          public void setXmlLang(java.lang.String xmlLang)

    - #### getFrom

          public java.lang.String getFrom()

    - #### setFrom

          public void setFrom(java.lang.String from)

    - #### getPriority

          public java.lang.String getPriority()

    - #### setPriority

          public void setPriority(java.lang.String priority)

    - #### getAnnotates

          public java.lang.String getAnnotates()

    - #### setAnnotates

          public void setAnnotates(java.lang.String annotates)